Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class ExpressionValidator

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.ExpressionValidator

All Implemented Interfaces:
  ShortCircuitableValidator, Validator

    public class ExpressionValidator

extends ValidatorSupport

A Non-Field Level validator that validates based on regular expression supplied.

- expression - the Ognl expression to be evaluated against the stack (Must evaluate to a Boolean)

         <validators>
               <validator type="expression">
                  <param name="expression"> .... </param>
                  <message>Failed to meet Ognl Expression  .... </message>
               </validator>
         </validators>

Author:
  Jason Carreira

Field Summary

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey`

Constructor Summary
`ExpressionValidator()`

Method Summary
`java.lang.String` | `getExpression()`
`void` | `setExpression(java.lang.String expression)`
`void` | `validate(java.lang.Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, conditionalParse, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getParse, getValidatorContext, getValidatorType, isShortCircuit, setDefaultMessage, setMessageKey, setMessageParameters, setParse, setShortCircuit, setValidatorContext, setValidatorType, setValueStack`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionValidator

    public ExpressionValidator()

Method Detail

### setExpression

    public void setExpression(java.lang.String expression)

### getExpression

    public java.lang.String getExpression()

### validate

    public void validate(java.lang.Object object)
                  throws ValidationException

  Description copied from interface: `Validator`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  Parameters:
    `object` - the object to be validated.
  Throws:
    `ValidationException` - is thrown if there is validation error(s).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.